<template>
  <div class="section">
    <div class="blog-description flex">Soon CS square going to be live ;)</div>
    <input v-model="form.title" type="text" placeholder="Title" />
    <input v-model="form.content" placeholder="content" />
    <button @click="createPost">Submit</button>
    <!-- <div v-html="htmlContent" /> -->
    <div class="container">
      <div class="flex cs-wrap">
      <div v-if="loading">Loading...</div>
      <div v-for="(blog, index) in posts" :key="index" class="blog-item flex cs-blue" v-bind:class="index == 1 || index == 8 ? 'large' : ''">
        <article>
          <a href="javascript:void(0)" class="item-link-overlay">{{ blog.title }}</a>
        </article>
      </div>
      </div>
    </div>
  </div>
</template>

<script>
import { GET_ALL_POSTS_QUERY, CREATE_POST_MUTATION } from '@/graphql/queries/userQueries'
export default {
  name: 'Blog',
  props: {
    msg: String
  },
  data: () => {
    return {
      htmlContent: "<p>Export HTML or JSON</p><p>You are able to export your data as <code>HTML</code> or <code>JSON</code>.<br><br>                      <strong>Some one might have used it</strong></p>",
      blogs: [
        {
          color: 'cs-orange',
          size: ''
        },
        {
          color: 'cs-blue',
          size: 'large'
        },
        {
          color: 'cs-pink',
          size: ''
        },
        {
          color: 'cs-blue',
          size: ''
        },
        {
          color: 'cs-orange',
          size: ''
        },
        {
          color: 'cs-blue',
          size: ''
        },
        {
          color: 'cs-pink',
          size: ''
        },
        {
          color: 'cs-orange',
          size: ''
        },
        {
          color: 'cs-blue',
          size: 'large'
        },
        {
          color: 'cs-pink',
          size: ''
        }
      ],
      posts: [],
      form: {
        title: null,
        content: null
      },
      loading: false
    }
  },
  created () {
    this.getPosts()
  },
  methods: {
    getValue(x) {
      return x % 2
    },
    async getPosts() {
      this.loading = true
      const data = await this.$apollo.query({ query: GET_ALL_POSTS_QUERY })
      this.posts = data.data.allPosts
      this.loading = false
      console.log("THis", this.posts);
    },
    async createPost() {
      const postCreated = await this.$apollo.mutate({
        mutation: CREATE_POST_MUTATION,
        variables: this.form
      })
      this.posts.push({title: this.form.title, content: this.form.content})
      console.log("Created Post", postCreated);
      this.form = {
        title: null,
        content: null
      }
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.container {
  max-width: 1200px;
  margin: 0 auto;
}

.flex {
  display: flex;
  flex-wrap: wrap;
}
.cs-wrap {
  margin: 0 -15px;
  -webkit-animation: slideTop .7s cubic-bezier(.25,.46,.45,.94) both;
  animation: slideTop .7s cubic-bezier(.25,.46,.45,.94) both;
}
.cs-wrap .large {
  flex: 1 0 66.666%;
}
.blog-item {
  min-width: 350px;
  flex: 999 0 33.333%;
}
.cs-blue article{
  /* background-image:  linear-gradient(40deg,#327ae7,#6bd0ff); */
  border: 2px solid gray;
}
article {
  position: relative;
  z-index: 0;
  overflow: hidden;
  box-sizing: border-box;
  width: calc(100% - 30px);
  min-height: 370px;
  margin: 15px 0 15px 15px;
  padding: 40px 38px 45px;
  transition: transform .2s ease;
  border-radius: 26px;
  text-align: left;
}

article:hover {
  cursor: pointer;
  transform: translateY(-4px);
}

.blog-item a {
  color: gray;
  font-size: 36px;
  text-decoration: none;
}

.blog-description {
  font-size: 13px;
    font-weight: 800;
    position: fixed;
    z-index: 999;
    top: 0;
    bottom: 0;
    left: 0;
    max-width: 90vh;
    height: 86px;
    margin: auto;
    transform: rotate(-90deg) translate(-50%,50%);
    transform-origin: 0 50%;
    text-align: center;
    letter-spacing: 2.5px;
    text-transform: uppercase;
    color: var(--color-font);
    align-items: center;
    justify-content: center;
}
</style>
